import { createElement } from "@wordpress/element";
import { TextControl, __experimentalBaseControl, __experimentalControlWrapper, __experimentalControlLabel } from '@quillforms/admin-components';
import { useSelect, useDispatch } from '@wordpress/data';

const PostSlug = () => {
  const {
    setPostSlug
  } = useDispatch('quillForms/document-editor');
  const {
    slug
  } = useSelect(select => {
    return {
      slug: select('quillForms/document-editor').getPostSlug()
    };
  });
  return createElement(__experimentalBaseControl, null, createElement(__experimentalControlWrapper, {
    orientation: "vertical"
  }, createElement(__experimentalControlLabel, {
    label: "Slug"
  }), createElement(TextControl, {
    value: slug,
    onChange: val => setPostSlug(val)
  })));
};

export default PostSlug;
//# sourceMappingURL=index.js.map